libvisio::VSDXRelationships Class Reference

`#include <VSDXMLHelper.h>`

## Public Member Functions

| VSDXRelationships (librevenge::RVNGInputStream *input)
| ~VSDXRelationships ()
void | rebaseTargets (const char *baseDir)
const VSDXRelationship * | getRelationshipByType (const char *type) const
const VSDXRelationship * | getRelationshipById (const char *id) const
bool | empty () const

## Private Attributes

std::map< std::string, VSDXRelationship > | m_relsByType
std::map< std::string, VSDXRelationship > | m_relsById

## Constructor & Destructor Documentation

## VSDXRelationships()

libvisio::VSDXRelationships::VSDXRelationships | ( | librevenge::RVNGInputStream * | input | ) |

## ~VSDXRelationships()

libvisio::VSDXRelationships::~VSDXRelationships | ( |  | ) |

## Member Function Documentation

## empty()

bool libvisio::VSDXRelationships::empty | ( |  | ) | const

inline

## getRelationshipById()

const libvisio::VSDXRelationship * libvisio::VSDXRelationships::getRelationshipById | ( | const char * | id | ) | const

Referenced by libvisio::VSDXParser::processXmlDocument().

## getRelationshipByType()

const libvisio::VSDXRelationship * libvisio::VSDXRelationships::getRelationshipByType | ( | const char * | type | ) | const

Referenced by libvisio::VSDXParser::parseDocument(), libvisio::VSDXParser::parseMain(), and libvisio::VSDXParser::parseMetaData().

## rebaseTargets()

void libvisio::VSDXRelationships::rebaseTargets | ( | const char * | baseDir | ) |

Referenced by libvisio::VSDXParser::parseDocument(), libvisio::VSDXParser::parseMaster(), libvisio::VSDXParser::parseMasters(), libvisio::VSDXParser::parsePage(), and libvisio::VSDXParser::parsePages().

## Member Data Documentation

## m_relsById

std::map<std::string, VSDXRelationship> libvisio::VSDXRelationships::m_relsById

private

Referenced by empty(), getRelationshipById(), rebaseTargets(), and VSDXRelationships().

## m_relsByType

std::map<std::string, VSDXRelationship> libvisio::VSDXRelationships::m_relsByType

private

Referenced by empty(), getRelationshipByType(), rebaseTargets(), and VSDXRelationships().

The documentation for this class was generated from the following files:

- VSDXMLHelper.h
- VSDXMLHelper.cpp